Module | SeleniumOnRails::Renderer
In: | lib/selenium_on_rails/renderer.rb

### Methods

render_test_case

### Included Modules

SeleniumOnRails::Paths SeleniumHelper

### Public Instance methods

render_test_case(filename)

[Source]

        # File lib/selenium_on_rails/renderer.rb, line 5
     5:   def render_test_case filename
     6:     @template.extend SeleniumOnRails::PartialsSupport
     7:     @page_title = test_case_name filename
     8:     output = render_to_string :file => filename
     9:     layout = (output =~ /<html>/i ? false : layout_path)
    10:     render :text => output, :layout => layout
    11:
    12:     headers['Cache-control'] = 'no-cache'
    13:     headers['Pragma'] = 'no-cache'
    14:     headers['Expires'] = '-1'
    15:   end

[Validate]